Katello - Bug #6242

500 on GET of a subscription if not admin
06/16/2014 07:15 PM - Walden Raines

Status: Closed

Priority: Normal

Assignee: Walden Raines

Category: API

Target version: Katello 2.0

Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1112772 Red Hat JIRA:

Pull request:

Description

NoMethodError: private method “select' called for nil:NilClass
/home/walden/katello/app/models/katello/authorization/distributor.rb:28:in "readable'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activerecord-3.2.18/1lib/active_record/relation/delegat
ion.rb:14:in "block in readable'
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/activerecord-3.2.18/1lib/active_record/relation.rb:241:
in “block in scoping'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activerecord-3.2.18/1ib/active_record/scoping.rb:98:in
"with_scope'
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/activerecord-3.2.18/1lib/active_record/relation.rb:241:
in "“scoping’
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activerecord-3.2.18/1lib/active_record/relation/delegat
ion.rb:14:in "readable'
(eval) :51:in "block in render'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/builder.rb:87:in “call'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1lib/rabl/builder.rb:87:in “node'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1lib/rabl/builder.rb:42:in "block in compile
_hash'
/home/walden/.rvm/gems/ruby-1.9
/home/walden/.rvm/gems/ruby-1.9
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/rabl-0.
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.

9

9

9

9

e

.3-p547/gems/rabl-0.
.3-p547/gems/rabl-0.

.0/1lib/rabl/builder.rb:41:in ‘each'
.0/1lib/rabl/builder.rb:41:in ‘compile_hash'
.0/1lib/rabl/builder.rb:21:in "block in build'
.0/1lib/rabl/builder.rb:166:in "cache_results'
.0/1lib/rabl/builder.rb:20:in “build'
.0/1lib/rabl/engine.rb:51:in "to_hash'
.0/lib/rabl/engine.rb:63:in “to_json'
.3-p547/gems/rabl-0.9.0/1ib/rabl/engine.rb:39:in ‘block in render'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/engine.rb:285:in " cache_results'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/engine.rb:39:in "render'
/home/walden/katello/app/views/katello/api/v2/subscriptions/show. json.rabl:1:in ~_c9b210e24bd8af85
9f13dc753a89dal5"
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack—-3.2.18/1lib/action_view/template.rb:145:in

.3-p547/gems/rabl-0.
.3-p547/gems/rabl-0.

/home/walden/.rvm/gems/ruby-1.
/home/walden/.rvm/gems/ruby-1.
/home/walden/.rvm/gems/ruby-1.

W W W W W W W WO

block in render'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/notifications.
rb:125:in "~ instrument'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/template.rb:143:1in
render'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/deface-0.9.1/1ib/deface/action_view_extensions.rb:37:1
n “render'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/template_re
nderer.rb:47:in “block (2 levels) in render_template'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/abstract_re
nderer.rb:38:in “block in instrument'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport—-3.2.18/1lib/active_support/notifications.
rb:123:in "block in instrument'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/notifications/
instrumenter.rb:20:in "~ instrument'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/notifications.
rb:123:1in

“instrument'
/home/walden/.
nderer.rb:38:1in
/home/walden/.

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/abstract_re
“instrument'

rvm/gems/ruby—-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/template_re

nderer.rb:46:in ‘block in render_template'

/home/walden/.

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_view/renderer/template_re

nderer.rb:54:in ‘render_with_layout'

/home/walden/ .

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/template_re

nderer.rb:45:in "render_template'

/home/walden/.
nderer.rb:18:1in
/home/walden/.

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.
"render'

18/1lib/action_view/renderer/template_re

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_view/renderer/renderer.rb

:36:1in “render_template'

/home/walden/.

:17:in

:110:in

g.rb:225:in

/home/walden/ .

rvm/gems/ruby—-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_view/renderer/renderer.rb

‘render'
/home/walden/ .

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/abstract_controller/rendering.rb

‘_render_template'
/home/walden/.

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_controller/metal/streamin
render_template'

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/abstract_controller/rendering.rb

:103:1in “render_to_body'

/home/walden/.

rvm/gems/ruby—-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_controller/metal/renderer

s.rb:28:in “render_to_body'

/home/walden/ .

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/compatib

ility.rb:50:in "“render_to_body'

/home/walden/.
“render'
/home/walden/.

:88:1in

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/abstract_controller/rendering.rb

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_controller/metal/renderin

g.rb:16:in "“render'

/home/walden/.
ntation.rb:40:
/home/walden/ .

mark.rb:5:1in

mark.rb:5:1in

rvm/gems/ruby—-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_controller/metal/instrume
“block (2 levels)

rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/core_ext/bench

in in render'

"block in ms'
/home/walden/.
/home/walden/ .
‘ms'
/home/walden/.
ntation.rb:40:
/home/walden/ .
ntation.rb:83:
/home/walden/.

rvm/rubies/ruby-1.9.3-p547/1ib/ruby/1.9.1/benchmark.rb:295:in “realtime'
rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/core_ext/bench

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_controller/metal/instrume
in "block in render'
rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_controller/metal/instrume
in “cleanup_view_runtime'

rvm/gems/ruby-1.9.3-p547/gems/activerecord-3.2.18/1lib/active_record/railties/control

ler_runtime.rb:24:in "cleanup_view_runtime'

/home/walden/ .
ntation.rb:39:

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_controller/metal/instrume

in "“render'

/home/walden/katello/app/lib/katello/api/v2/rendering.rb:44:in "respond_with_template'

/home/walden/katello/app/lib/katello/api/v2/rendering.rb:50:in "respond_with_template_resource'

/home/walden/katello/app/lib/katello/api/v2/rendering.rb:7:in "respond_for_show'

/home/walden/katello/app/controllers/katello/api/api_controller.rb:145:in "respond'

/home/walden/katello/app/controllers/katello/api/v2/subscriptions_controller.rb:55:in "~ show'

/home/walden/.
_render.rb:4:1in
/home/walden/.

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/implicit
“send_action'
rvm/gems/ruby—-1.9.3-p547/gems/actionpack—-3.2.18/1ib/abstract_controller/base.rb:167:

in “process_action'

/home/walden/.

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/renderin

g.rb:10:in “process_action'

/home/walden/ .

:18:1in “block

rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/abstract_controller/callbacks.rb
in process_action'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:5
93:in “block (3 levels) in _run_ 1393372454630960241__ process_action__490058035902128287__callback
S'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:2
15:in “block in _conditional_callback_around_11005"
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:3
26:in "“around'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:3
10:in ~_callback_around_9685"'

/home/walden/.
14:in "~ _conditional_callback_around_11005"
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:4
71:in "block (2 levels) in _run_ 1393372454630960241_ process_action__490058035902128287__callback
S'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:2
15:in “block in _conditional_callback_around_11004"
/home/walden/foreman/app/models/concerns/foreman/thread_session.rb:33:in ‘“clear_thread'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:2
14:in ~_conditional_callback_around_11004"
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:4
15:in "block in _run_ 1393372454630960241_ process_action_ _490058035902128287__callbacks'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1ib/active_support/callbacks.rb:2
15:in “block in _conditional_callback_around_11003"'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport—-3.2.18/1lib/active_support/callbacks.rb:3
26:in “around'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:3
10:in "~ _callback_around_13"'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:2
14:in ~_conditional_callback_around_11003"
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1ib/active_support/callbacks.rb:4
14:in "_run_ 1393372454630960241__process_action_ 490058035902128287__callbacks'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:4
05:in ~_ _run_callback'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:3
85:in ' _run_process_action_callbacks'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:8
l1:in “run_callbacks'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack—-3.2.18/1ib/abstract_controller/callbacks.rb
:17:in “process_action'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/rescue.r
b:29:in “process_action’
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/instrume
ntation.rb:30:in "block in process_action'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/notifications.
rb:123:in "block in instrument'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1ib/active_support/notifications/
instrumenter.rb:20:in "~ instrument'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/notifications.
rb:123:in “instrument'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/instrume
ntation.rb:29:in “process_action'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/params_w
rapper.rb:207:in “process_action'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activerecord-3.2.18/1lib/active_record/railties/control
ler_runtime.rb:18:in “process_action'
/home/walden/katello/app/controllers/katello/api/api_controller.rb:110:in "process_action'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/abstract_controller/base.rb:121:
in “process'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/abstract_controller/rendering.rb
:45:in “process'
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_controller/metal.rb:203:1i
n “dispatch'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_controller/metal/rack_del
egation.rb:14:in “dispatch’
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack—-3.2.18/1lib/action_controller/metal.rb:246:1
n “block in action'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/routing/route_se
t.rb:73:in “call’
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/routing/route_se
t.rb:73:in “dispatch'’
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack—-3.2.18/1lib/action_dispatch/routing/route_se
t.rb:36:in “call'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/routing/mapper.r
b:43:in “call'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/journey-1.0.4/1ib/journey/router.rb:68:in "block in ca
11"

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/journey-1.0.4/1ib/journey/router.rb:56:in “each’
/home/walden/.rvm/gems/ruby-1.
/home/walden/.rvm/gems/ruby-1.
t.rb:608:in “call’
/home/walden/.rvm/gems/ruby—-1.
/home/walden/.rvm/gems/ruby-1.
n "method_missing'
/home/walden/.rvm/gems/ruby-1.
11"
/home/walden/.rvm/gems/ruby-1.
/home/walden/.rvm/gems/ruby-1.
/home/walden/.rvm/gems/ruby-1.
t.rb:608:in “call'
/home/walden/.rvm/gems/ruby-1.
‘call!
/home/walden/.rvm/gems/ruby-1.
‘call!
/home/walden/.rvm/gems/ruby-1.
/home/walden/.rvm/gems/ruby-1.
eaders.rb:27:in “call’
/home/walden/.rvm/gems/ruby—-1.

c.rb:63:1in

in

9

.3-p547/gems/journey-1.0.4/1ib/journey/router.rb:56:in “call'
.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/routing/route_se

.3-p547/gems/railties-3.2.18/1lib/rails/engine.rb:484:in “call'
.3-p547/gems/railties-3.2.18/1lib/rails/railtie/configurable.rb:30:1

.3-p547/gems/journey-1.0.4/1ib/journey/router.rb:68:in ‘block in ca
.3-p547/gems/journey-1.0.4/1ib/journey/router.rb:56:in “each'
.3-p547/gems/journey-1.0.4/1ib/journey/router.rb:56:in “call'
.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/routing/route_se
.3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/middleware/stati

.3-p547/gems/apipie-rails-0.1.3/1lib/apipie/static_dispatcher.rb:65:

.3-p547/gems/rack-openid-1.4.2/1ib/rack/openid.rb:98:in ‘call'
.3-p547/gems/apipie-rails-0.1.3/1ib/apipie/middleware/checksum_in_h

.3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/middleware/best_

standards_support.rb:17:in “call'

/home/walden/.
/home/walden/ .
/home/walden/.rvm/gems/ruby-1.
rb:14:in “call'
/home/walden/.rvm/gems/ruby-1.
s_parser.rb:21:in “call’

rvm/gems/ruby-1.
rvm/gems/ruby-1.

9
9
9

9

.3-p547/gems/rack-1.4.5/1ib/rack/etag.rb:23:in “call'
.3-p547/gems/rack-1.4.5/1ib/rack/conditionalget.rb:25:in ‘call'
.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middleware/head.

.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middleware/param

/home/walden/foreman/lib/middleware/catch_json_parse_errors.rb:9:in “call'

/home/walden/.rvm/gems/ruby-1.
.rb:242:in “call’
/home/walden/
text'
/home/walden/.
l'
/home/walden/.rvm/gems/ruby-1.
es.rb:341:in “call'
/home/walden/.
4:in “call'
/home/walden/

.rvm/gems/ruby-1.

rvm/gems/ruby-1.

rvm/gems/ruby-1.

.rvm/gems/ruby-1.

/home/walden/.rvm/gems/ruby-1.9.

acks.rb:28:in “block in call'

/home/walden/.rvm/gems/ruby-1.9.
run__1130895720613715287__call__1774881904818165908__callbacks'

05:1in
/home/walden/.rvm/gems/ruby-1.
05:in
/home/walden/.rvm/gems/ruby-1.
85:1in
/home/walden/.rvm/gems/ruby-1.
1:in “run_callbacks'
/home/walden/.rvm/gems/ruby-1.
acks.rb:27:in ‘call’
/home/walden/.rvm/gems/ruby-1.
der.rb:65:in “call’
/home/walden/.rvm/gems/ruby-1.
e_ip.rb:31:in “call’
/home/walden/.rvm/gems/ruby-1.
_exceptions.rb:16:in “call'
/home/walden/.rvm/gems/ruby-1.
exceptions.rb:56:1in “call'

*_ _run_callback'

‘_run_call_callbacks'

9

9.
ers/abstract/connection_pool.rb:

9

.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middleware/flash
.3-p547/gems/rack-1.4.5/1ib/rack/session/abstract/id.rb:210:in "con
.3-p547/gems/rack-1.4.5/1ib/rack/session/abstract/id.rb:205:in “cal

.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middleware/cooki
.3-p547/gems/activerecord-3.2.18/1ib/active_record/query_cache.rb:6

3-p547/gems/activerecord-3.2.18/1lib/active_record/connection_adapt
479:in ‘call'
3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/middleware/callb

3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:4
.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:4
.3-pb47/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:3
.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:8

.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middleware/callb

.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middleware/reloa

.3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/middleware/remot

.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middleware/debug

.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middleware/show_

/home/walden/katello/lib/katello/middleware/silenced_logger.rb:30:in ‘call'

/home/walden/.rvm/gems/ruby-1.
st_id.rb:22:in “call'
/home/walden/.rvm/gems/ruby-1.
/home/walden/.rvm/gems/ruby-1.
/home/walden/.rvm/gems/ruby-1.
/local_cache.rb:72:in “call'’
3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middleware/reque
.3-p547/gems/rack-1.4.5/1ib/rack/methodoverride.rb:21:in “call'

.3-p547/gems/rack-1.4.5/1ib/rack/runtime.rb:17:in “call'
.3-p547/gems/activesupport-3.2.18/1lib/active_support/cache/strategy
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rack-1.4.5/1ib/rack/lock.rb:15:in “call’
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack—-3.2.18/1ib/action_dispatch/middleware/stati
c.rb:63:in “call'
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/railties-3.2.18/1lib/rails/engine.rb:484:in “call'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/railties-3.2.18/1ib/rails/application.rb:231:in “call'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/railties-3.2.18/1lib/rails/railtie/configurable.rb:30:1
n "“method _missing'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rack-1.4.5/1ib/rack/builder.rb:134:in “call’
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rack-1.4.5/1ib/rack/urlmap.rb:64:in "block in call'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rack-1.4.5/1ib/rack/urlmap.rb:49:in “each'
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/rack-1.4.5/1ib/rack/urlmap.rb:49:in “call'
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/rack-1.4.5/1ib/rack/content_length.rb:14:in “call’
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/railties-3.2.18/1ib/rails/rack/log_tailer.rb:17:in "ca

11'

/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/rack-1.4.5/1ib/rack/handler/webrick.rb:59:1in "service'

/home/walden/.rvm/rubies/ruby-1.9.3-p547/1ib/ruby/1.9.1/webrick/httpserver.rb:138:in "“service'

/home/walden/.rvm/rubies/ruby-1.9.3-p547/1ib/ruby/1.9.1/webrick/httpserver.rb:94:in "“run'

/home/walden/.rvm/rubies/ruby-1.9.3-p547/1ib/ruby/1.9.1/webrick/server.rb:191:in "block in start_t

hread’

/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/logging—-1.8.2/1ib/logging/diagnostic_context.rb:323:in
‘call!

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/logging-1.8.2/1ib/logging/diagnostic_context.rb:323:in
"block in create_with_logging_context'

Completed 500 Internal Server Error in 946.4ms (Views: 0.2ms | ActiveRecord: 9.0ms)

With body: {"displayMessage":"private method “select' called for nil:NilClass","errors":["private

method “select' called for nil:NilClass"]}

Steps to Reproduce:

1. Create a user with the view subscriptions permission
2. Create at least one subscription

3. Attempt to view the subscription

4. Note error

Related issues:
Blocks Katello - Feature #5503: Available Ul interactions should reflect a us... Closed 04/29/2014

Associated revisions

Revision 24771893 - 06/16/2014 07:41 PM - Walden Raines
Fixes #6242 - remove unused distributor from rabl to fix error.
There was an HTTP 500 on subscription show if you were not admin

(or didn't have the distributor read permission) because distributor
was still referenced from the rabl. This commit removes the reference.

Revision f3fa7d4b - 06/16/2014 08:18 PM - Walden Raines
Merge pull request #4275 from waldenraines/6242

Fixes #6242 - remove unused distributor from rabl to fix error.

History

#1 - 06/16/2014 07:15 PM - Walden Raines

- Blocks Feature #5503: Available Ul interactions should reflect a user's permissions added

#2 - 06/16/2014 07:15 PM - Walden Raines

- Status changed from New to Assigned

#3 - 06/16/2014 07:17 PM - Walden Raines

The stack in the description is incorrect, the correct stack is this:

NoMethodError: undefined method "“authorized_items' for #<Class:0x0000000ae30e40>
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/activerecord-3.2.18/1lib/active_record/dynamic_matchers.rb:55:in "m
ethod_missing'

/home/walden/katello/app/models/katello/authorization/lifecycle_environment.rb:49:in “distributors_readable'
/home/walden/katello/app/models/katello/authorization/distributor.rb:28:in "readable'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activerecord-3.2.18/1lib/active_record/relation/delegation.rb:14:in
"block in readable'
rvm/gems/ruby-1.

/home/walden/ .
scoping'
/home/walden/ .
L}

/home/walden/.
/home/walden/ .
‘readable'!
(eval) :51:in

rvm/gems/ruby-1.

rvm/gems/ruby-1.

rvm/gems/ruby-1.

"block in render'

9.3-p547/gems/activerecord-3.2.

.3-p547/gems/activerecord-3.2.
.3-p547/gems/activerecord-3.2.

.3-p547/gems/activerecord-3.2.

18/1lib/active_record/relation.rb:241:in “block in
18/1ib/active_record/scoping.rb:98:in “with_scope

18/1lib/active_record/relation.rb:241:in 'scoping'
18/1lib/active_record/relation/delegation.rb:14:in

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/builder.rb:87:in “call’
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/builder.rb:87:in “node'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/builder.rb:42:in "block in compile_hash'
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/builder.rb:41:in "each'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1lib/rabl/builder.rb:41:in " compile_hash'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/builder.rb:21:in “block in build'
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/builder.rb:166:in "cache_results'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/builder.rb:20:in “build'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/engine.rb:51:in “to_hash'
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/engine.rb:63:in "to_json'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1lib/rabl/engine.rb:39:in “block in render'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/engine.rb:285:in " cache_results'
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/rabl-0.9.0/1ib/rabl/engine.rb:39:in "render'
/home/walden/katello/app/views/katello/api/v2/subscriptions/show.json.rabl:1:in ~_36815f5e92c35eb0da896a5c7726
Ocbe'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/template.rb:145:in ‘block in ren
der'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport—-3.2.18/1lib/active_support/notifications.rb:125:in i
nstrument'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/template.rb:143:in "render'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/template_renderer.rb:47
:in “block (2 levels) in render_template'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/abstract_renderer.rb:38
:in “block in instrument'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/notifications.rb:123:in b
lock in instrument'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/notifications/instrumenter
.rb:20:in "instrument'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1ib/active_support/notifications.rb:123:in i
nstrument'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/abstract_renderer.rb:38
:in “instrument’
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/template_renderer.rb:46
:in “block in render_template'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/template_renderer.rb:54
:in “render_with_layout'
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/template_renderer.rb:45
:in “render_template'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/template_renderer.rb:18
:in “render'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/renderer.rb:36:in "rend
er_template'
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_view/renderer/renderer.rb:17:in "“rend
er'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/abstract_controller/rendering.rb:110:in '_re
nder_template'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/streaming.rb:225:in

" _render_template'

/home/walden/ .
der_to_body'
/home/walden/ .

rvm/gems/ruby-1.

rvm/gems/ruby-1.

render_to_body'
rvm/gems/ruby-1.

/home/walden/ .

in ‘render_to_.

/home/walden/ .
er'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.

render'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.
in render'

0:in “block

"block in ms'

(2 levels)
/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/core_ext/benchmark.rb:5:

body'

rvm/gems/ruby-1.

9

9

9

9

.3-p547/gems/actionpack-3.2.
.3-p547/gems/actionpack-3.2.
.3-p547/gems/actionpack-3.2.

.3-p547/gems/actionpack-3.2.

18/1ib/abstract_controller/rendering.rb:103:1in

18/1ib/action_controller/metal/rendering.rb:16:

18/1lib/action_controller/metal/instrumentation.

/home/walden/.rvm/rubies/ruby-1.9.3-p547/1ib/ruby/1.9.1/benchmark.rb:295:in “realtime'

/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/core_ext/benchmark.rb:5:

‘ms'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/instrumentation.
18/1lib/action_controller/metal/renderers.rb:28:1in
18/1lib/action_controller/metal/compatibility.rb:50:

18/1ib/abstract_controller/rendering.rb:88:in "rend

in

rb:4

in

in

rb:4
0:in "block in render'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/instrumentation.rb:8

3:in “cleanup_view_runtime'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activerecord-3.2.18/1lib/active_record/railties/controller_runtime.

rb:24:in “cleanup_view_runtime'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/instrumentation.rb:3

9:in "render'
/home/walden/katello/app/lib/katello/api/v2/rendering.rb:44:in "respond_with_template'

/home/walden/katello/app/lib/katello/api/v2/rendering.rb:50:in "respond_with_template_resource'

/home/walden/katello/app/lib/katello/api/v2/rendering.rb:7:in " respond_for_show'
/home/walden/katello/app/controllers/katello/api/api_controller.rb:145:in respond'
/home/walden/katello/app/controllers/katello/api/v2/subscriptions_controller.rb:55:in "show'

/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/implicit_render.rb:4

:in "send_action'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/abstract_controller/base.rb:167:in “process_

action'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/rendering.rb:10:1in

process_action'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/abstract_controller/callbacks.rb:18:in “bloc

k in process_action'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:

(3 levels) in _run_ 4380435376349467291__ _process_action_ 2372782676364243092__callbacks'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.

in _conditional_callback_around_3394"

/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.

ar

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1ib/active_support/callbacks.

back_around_2506"

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.

itional_callback_around_3394"'

/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.

(2 levels) in _run_ 4380435376349467291__process_action_ 2372782676364243092__callbacks'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.

in _conditional_callback_around_3393'
/home/walden/foreman/app/models/concerns/foreman/thread_session.rb:33:in ‘clear_thread'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.

itional_callback_around_3393'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.

in _run_ 4380435376349467291__ process_action_ 2372782676364243092__callbacks'

/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.

in _conditional_callback_around_3392"'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1ib/active_support/callbacks.

4’

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.

back_around_13"'

/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.

itional_callback_around_3392'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.

_4380435376349467291__process_action_ 2372782676364243092__callbacks'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.

_callback'

/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.

process_action_callbacks'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:

llbacks'

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

593 ¢

2158

326:

214:

471:

215:

214:

415:

215:

326:

310:

214:

414:

405:

385:

8l:in

in

in

in

:in

in

in

in

in

in

in

in

in

in

in

in

in

“block

“block

“aroun

‘_call

*_cond

“block

“block

" _cond

"block

“block

“aroun

_call

" _cond

run

run

run,

‘run_ca

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/abstract_controller/callbacks.rb:17:in “proc

ess_action'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/rescue.rb:29:in ‘pro

cess_action'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/instrumentation.rb:3

0:in "block in process_action'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1ib/active_support/notifications.rb:123:in ‘b

lock in instrument'

/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/notifications/instrumenter

.rb:20:in "instrument'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport—-3.2.18/1lib/active_support/notifications.rb:123:in i

nstrument'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/instrumentation.rb:2

9:in “process_action'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/action_controller/metal/params_wrapper.rb:20

7:in “process_action'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activerecord-3.2.18/1ib/active_record/railties/controller_runtime.

rb:18:in “process_action'
/home/walden/katello/app/controllers/katello/api/api_controller.rb:110:in ‘process_action'

/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1lib/abstract_controller/base.rb:121:in “process'
/home/walden/ .
ess'

/home/walden/ .
/home/walden/ .

rvm/gems/ruby-1.

rvm/gems/ruby-1.
rvm/gems/ruby-1.

4:in “dispatch'

/home/walden/ .
action'
/home/walden/ .
call'
/home/walden/ .
dispatch'
/home/walden/ .
call'
/home/walden/ .
l A}
/home/walden/ .
/home/walden/ .
/home/walden/ .
/home/walden/ .
‘call!
/home/walden/ .
/home/walden/ .
ssing'
/home/walden/ .
/home/walden/ .
/home/walden/ .
/home/walden/ .
‘call!
/home/walden/ .
call'
/home/walden/ .
/home/walden/ .
/home/walden/ .
:in “call’
/home/walden/ .

rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.

rvm/gems/ruby-1.

rvm/gems/ruby-1.
rvm/gems/ruby-1.

rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.

rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.

rvm/gems/ruby-1.

rvm/gems/ruby-1.

pport.rb:17:in “call'

/home/walden/ .
/home/walden/ .
/home/walden/ .
11
/home/walden/ .
21:in ‘call'

rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.

rvm/gems/ruby-1.

.3-p547/gems/actionpack-3.2.

.3-p547/gems/actionpack-3.2.
.3-p547/gems/actionpack-3.2.

.3-p547/gems/actionpack-3.2.
.3-p547/gems/actionpack-3.2.
.3-p547/gems/actionpack-3.2.
.3-p547/gems/actionpack-3.2.

.3-p547/gems/actionpack-3.2.

18/1ib/abstract_controller/rendering.rb:45:in ‘proc

18/1ib/action_controller/metal.rb:203:in “dispatch’
18/1lib/action_controller/metal/rack_delegation.rb:1

18/1ib/action_controller/metal.rb:246:in “block in
18/1ib/action_dispatch/routing/route_set.rb:73:in
18/1ib/action_dispatch/routing/route_set.rb:73:1in
18/1ib/action_dispatch/routing/route_set.rb:36:in

18/1lib/action_dispatch/routing/mapper.rb:43:in ‘cal

.3-p547/gems/journey-1.0.4/1ib/journey/router.rb:68:in ‘block in call'
.3-p547/gems/journey-1.0.4/1ib/journey/router.rb:56:in “each'
.3-p547/gems/journey-1.0.4/1ib/journey/router.rb:56:in ‘call'
.3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/routing/route_set.rb:608:1in

9.3-p547/gems/railties-3.2.18/1lib/rails/engine.rb:484:in ‘call'
9.3-p547/gems/railties-3.2.18/1ib/rails/railtie/configurable.rb:30:in ‘method_mi

.3-p547/gems/journey-1.0.4/1ib/journey/router.rb:68:in ‘block in call’
.3-p547/gems/journey-1.0.4/1ib/journey/router.rb:56:in ‘each’
.3-p547/gems/journey-1.0.4/1ib/journey/router.rb:56:in “call'
.3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/routing/route_set.rb:608:in

.3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/middleware/static.rb:63:in
.3-p547/gems/apipie-rails-0.1.3/1ib/apipie/static_dispatcher.rb:65:in ‘call'
.3-p547/gems/rack-openid-1.4.2/1lib/rack/openid.rb:98:in ‘call'
.3-p547/gems/apipie-rails-0.1.3/1lib/apipie/middleware/checksum_in_headers.rb:27
.3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/middleware/best_standards_su
.3-p547/gems/rack-1.4.5/1ib/rack/etag.rb:23:in “call'

.3-p547/gems/rack-1.4.5/1ib/rack/conditionalget.rb:25:in “call’
.3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/middleware/head.rb:14:in

‘ca

.3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/middleware/params_parser.rb:

/home/walden/foreman/lib/middleware/catch_json_parse_errors.rb:9:in “call'

/home/walden/ .
call'

/home/walden/ .
/home/walden/ .
/home/walden/ .

‘call!

/home/walden/ .
/home/walden/ .

rvm/gems/ruby-1.

rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.

rvm/gems/ruby-1.
rvm/gems/ruby-1.

9

OF
9o

.3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/middleware/flash.rb:242:in

.3-p547/gems/rack-1.4.5/1ib/rack/session/abstract/id.rb:210:in "~ context'
.3-p547/gems/rack-1.4.5/1ib/rack/session/abstract/id.rb:205:in “call’
.3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/middleware/cookies.rb:341:1in

3-p547/gems/activerecord-3.2.18/1lib/active_record/query_cache.rb:64:in ‘call'
3-p547/gems/activerecord-3.2.18/1ib/active_record/connection_adapters/abstract

/connection_pool.rb:479:in “call'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middleware/callbacks.rb:28:1
n “block in call’

/home/walden/.rvm/gems/ruby—-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:405:in " _run_
_172469132626892057__call__3464044721092723489__callbacks'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:405:in "__ run
_callback'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/activesupport-3.2.18/1ib/active_support/callbacks.rb:385:in ' _run_

call_callbacks'

/home/walden/ .
llbacks'
/home/walden/ .
n “call'
/home/walden/ .
‘call!
/home/walden/ .
n “call'
/home/walden/ .
rb:16:in

b:56:in “call'

rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.
rvm/gems/ruby-1.

“call!
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.

.3-p547/gems/actionpack-3.2.
.3-p547/gems/actionpack-3.2.

.3-p547/gems/actionpack-3.2.

.3-p547/gems/activesupport-3.2.18/1lib/active_support/callbacks.rb:81:in "“run_ca

.3-p547/gems/actionpack-3.2.18/1lib/action_dispatch/middleware/callbacks.rb:27:1i

18/1ib/action_dispatch/middleware/reloader.rb:65:1in
18/1lib/action_dispatch/middleware/remote_ip.rb:31:1i
18/1ib/action_dispatch/middleware/debug_exceptions.

18/1ib/action_dispatch/middleware/show_exceptions.r

/home/walden/katello/lib/katello/middleware/silenced_logger.rb:30:in ‘call'
/home/walden/.rvm/gems/ruby-1.9.3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middleware/request_id.rb:22:

in “call'
/home/walden/
/home/walden/
/home/walden/

.rvm/gems/ruby-1.9.
.rvm/gems/ruby-1.9.
.rvm/gems/ruby-1.9.

.rb:72:in ‘call'

/home/walden/
/home/walden/
call"

/home/walden/ .
/home/walden/ .
/home/walden/ .

ssing'

/home/walden/ .
/home/walden/ .
/home/walden/ .
/home/walden/ .
/home/walden/ .
/home/walden/ .
/home/walden/ .
/home/walden/ .
/home/walden/ .
/home/walden/ .
/home/walden/ .
/home/walden/ .

.rvm/gems/ruby-1.9.
.rvm/gems/ruby-1.9.

rvm/gems/ruby-1.9.
rvm/gems/ruby-1.9.
rvm/gems/ruby-1.9.

rvm/gems/ruby-1.9.
rvm/gems/ruby-1.9.
rvm/gems/ruby-1.9.
rvm/gems/ruby-1.9.
rvm/gems/ruby-1.9.
rvm/gems/ruby-1.9.
rvm/gems/ruby-1.9.
rvm/rubies/ruby-1.
rvm/rubies/ruby-1.
rvm/rubies/ruby-1.
rvm/gems/ruby-1.9.
rvm/gems/ruby-1.9.

reate_with_logging_context'

Completed 500 Internal Server Error in 314.0ms
With body: {"displayMessage":"undefined method "authorized_items' for #<Class:0x0000000ae30e40>","errors":
defined method “authorized_items'

3-p547/gems/rack-1.4.5/1ib/rack/methodoverride.rb:21:in “call'
3-p547/gems/rack-1.4.5/1lib/rack/runtime.rb:17:in “call'
3-p547/gems/activesupport-3.2.18/1ib/active_support/cache/strategy/local_cache

3-p547/gems/rack-1.4.5/1lib/rack/lock.rb:15:in ‘call'
3-p547/gems/actionpack-3.2.18/1ib/action_dispatch/middleware/static.rb:63:in °

3-p547/gems/railties-3.2.18/1lib/rails/engine.rb:484:in ‘call'
3-p547/gems/railties-3.2.18/1ib/rails/application.rb:231:in “call'
3-p547/gems/railties-3.2.18/1ib/rails/railtie/configurable.rb:30:in ‘method_mi

3-p547/gems/rack-1.
3-p547/gems/rack-1.
3-p547/gems/rack-1.
3-p547/gems/rack-1.
3-p547/gems/rack-1.

4

4.5/1lib/rack/builder.rb:134:in “call'
4.5/1lib/rack/urlmap.rb:64:in “block in call'
4.

4.5/1lib/rack/urlmap.rb:49:in “call'
.5/1ib/rack/content_length.rb:14:in “call'

5/1lib/rack/urlmap.rb:49:in ‘each'

3-p547/gems/railties—-3.2.18/1lib/rails/rack/log_tailer.rb:17:in “call'
3-p547/gems/rack-1.4.5/1ib/rack/handler/webrick.rb:59:in “service'
9.3-p547/1ib/ruby/1.9.1/webrick/httpserver.rb:138:1in "service'
9.3-p547/1ib/ruby/1.9.1/webrick/httpserver.rb:94:in "run'
9.3-p547/1ib/ruby/1.9.1/webrick/server.rb:191:in ‘block in start_thread'
3-p547/gems/logging-1.8.2/1ib/logging/diagnostic_context.rb:323:in “call'
3-p547/gems/logging-1.8.2/1ib/logging/diagnostic_context.rb:323:in “block in ¢

#4 - 06/16/2014 07:42 PM - Walden Raines
- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4275

#5 - 06/16/2014 07:44 PM - Eric Helms
- Difficulty set to easy

- Triaged changed from No to Yes

#6 - 06/16/2014 08:53 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

(Views: 0.2ms | ActiveRecord: 4.5ms)

for #<Class:0x0000000ae30e40>"1}

Applied in changeset katellojcommit:247718930c08759b807728a9f4c9618b6fdf127d.

#7 - 06/24/2014 04:18 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112772

#8 - 08/22/2014 08:34 AM - Eric Helms

- translation missing: en.field_release set to 13
